slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGetType

Gets the DS type name (as a string) from the DS context.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetType(DS ds,DSType *type)

Not Collective

### Input Parameter

| ds | - the direct solver context

### Output Parameter

| type | - name of the direct solver

### See Also

DSSetType()

### Level

intermediate

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages